Xerces-C++: XMLDouble Class Reference

Xerces-C++ 3.2.2

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
XMLDouble Class Reference
Inheritance diagram for XMLDouble:

## Public Member Functions
| XMLDouble (const XMLCh *const strValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a newly allocated `XMLDouble` object that represents the value represented by the string. More...
| ~XMLDouble ()
| XMLDouble (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Public Member Functions inherited from XMLAbstractDoubleFloat
virtual | ~XMLAbstractDoubleFloat ()
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value. More...
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data. More...
virtual int | getSign () const
| Returns the sign of this number. More...
MemoryManager * | getMemoryManager () const
bool | isDataConverted () const
bool | isDataOverflowed () const
double | getValue () const
LiteralType | getType () const
Public Member Functions inherited from XMLNumber
virtual | ~XMLNumber ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Static Public Member Functions
static int | compareValues (const XMLDouble *const lValue, const XMLDouble *const rValue)
| Compares this object to the specified object. More...
Static Public Member Functions inherited from XMLAbstractDoubleFloat
static XMLCh * | getCanonicalRepresentation (const XMLCh *const rawData, MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
static void | normalizeDecimalPoint (char *const toNormal)
Static Public Member Functions inherited from XMLNumber
static XMLNumber * | loadNumber (XMLNumber::NumberType numType, XSerializeEngine &serEng)

## Protected Member Functions
virtual void | checkBoundary (char *const strValue)
Protected Member Functions inherited from XMLAbstractDoubleFloat
| XMLAbstractDoubleFloat (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
void | init (const XMLCh *const strValue)
void | convert (char *const strValue)
Protected Member Functions inherited from XMLNumber
| XMLNumber ()
| XMLNumber (const XMLNumber &)
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Additional Inherited Members
Public Types inherited from XMLAbstractDoubleFloat
enum | LiteralType { NegINF, PosINF, NaN, SpecialTypeNum, Normal }
Public Types inherited from XMLNumber
enum | { LESS_THAN = -1, EQUAL = 0, GREATER_THAN = 1, INDETERMINATE = 2 }
enum | NumberType { Float, Double, BigDecimal, DateTime, UnKnown }
Static Protected Member Functions inherited from XMLAbstractDoubleFloat
static int | compareValues (const XMLAbstractDoubleFloat *const lValue, const XMLAbstractDoubleFloat *const rValue, MemoryManager *const manager)
| Compares this object to the specified object. More...
Protected Attributes inherited from XMLAbstractDoubleFloat
double | fValue
LiteralType | fType
bool | fDataConverted
bool | fDataOverflowed

## Constructor & Destructor Documentation

## ◆ XMLDouble() [1/2]

XMLDouble::XMLDouble | ( | const XMLCh *const | strValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Constructs a newly allocated `XMLDouble` object that represents the value represented by the string.

Parameters

  strValue | the `String` to be converted to an `XMLDouble`.
  manager | Pointer to the memory manager to be used to allocate objects.

Exceptions

  NumberFormatException | if the `String` does not contain a parsable XMLDouble.

## ◆ ~XMLDouble()

XMLDouble::~XMLDouble | ( |  | ) |

## ◆ XMLDouble() [2/2]

XMLDouble::XMLDouble | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## Member Function Documentation

## ◆ checkBoundary()

virtual void XMLDouble::checkBoundary | ( | char *const | strValue | ) |
| protectedvirtual

Implements XMLAbstractDoubleFloat.

## ◆ compareValues()

int XMLDouble::compareValues | ( | const XMLDouble *const | lValue,
|  | const XMLDouble *const | rValue
| ) |  |
| static

Compares this object to the specified object.

The result is `true` if and only if the argument is not `null` and is an `XMLDouble` object that contains the same `int` value as this object.

Parameters

  lValue | the object to compare with.
  rValue | the object to compare against.

Returns
  `true` if the objects are the same; `false` otherwise.

References XMLAbstractDoubleFloat::compareValues(), XMLAbstractDoubleFloat::getMemoryManager(), and XERCES_CPP_NAMESPACE_END.

The documentation for this class was generated from the following file:

- XMLDouble.hpp